gnome-sharp 0.0.0.0 neutral Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. An application status and progress widget. An widget sits (usually) at the bottom of an application window and contains a (for indicating time consuming tasks and their completion status) and/or a for sending short one-line message to the user. It is also possible (in theory) for the user to edit the contents of the status bar, should the application developer choose to allow that. However, note that this is not really working in the present implementation, so developers are recommended to avoid using interactive s and use proper editable widgets instead. Gtk.HBox Atk.Implementor GLib.IWrapper GLib.IWrapper System.IDisposable
- Method
  System.Void Remove all status messages from , and display default status message (if present).
- Method
  System.Void Remove current status message, and display previous status message, if any. It is fine to call this with an empty stack.
- Method
  System.Void Remove any prompt from the .
- Method
  System.Void `` Push a new status message onto the stack and display it. an object of type
- Method
  System.Void Refresh the by redrawing the item on the top of the stack, or the default value if the stack is empty. Useful to force the message from a previous call to to disappear.
- Method
  System.Void `` `` Put a prompt in the appbar and wait for a response. an object of type an object of type When the user responds or cancels, a signal is emitted.
- Method
  System.Void `` To be added an object of type To be added
- Method
  System.Void Disposes the resources associated with the object.
- Constructor
  Internal constructor
  Pointer to the C object.
  An instance of AppBar, wrapping the C object.

  This is an internal constructor, and should not be used by user code.

- Constructor
  Creates a new instance.
  an object of type
  an object of type
  an object of type
  an object of type
- Property
  System.String Get the response to the prompt, if any. an object of type
- Property
  Gtk.Widget Retrieves the widget. an object of type
- Property
  Gtk.ProgressBar Retrieves the widget for further manipulation. an object of type
- Property
  System.String What to show when showing nothing else is on the stack; defaults to the empty string. an object of type an object of type
- Property
  System.Single Sets progress bar to . an object of type an object of type
- Property
  Gnome.PreferencesType Whether or not the user can edit the text in the portion of a instance. an object of type
- Property
  System.Boolean Whether or not the contains a . an object of type
- Property
  System.Boolean Whether or not the contains a . an object of type
- Event
  System.EventHandler Emitted when the prompt is cleared.
- Event
  System.EventHandler Emitted when the user responds to an that is interactive.
- Property
  GLib.GType GType Property. a Returns the native value for .
- Method
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Constructor
  Protected Constructor.
  a
  a
  Chain to this constructor if you have manually registered a native value for your subclass.